QGIS Application - Feature request #8281
Change the way .gpx and .kml are created
2013-07-12 02:16 AM - Filipe Dias

Status: Open

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 17081
Description

The creation of both .gpx and .kml files is excessively complex. | suggest changing the behavior of "save as..." to:

For ".gpx" : (following : http://gis.stackexchange.com/questions/40731/how-to-convert-shp-into-gpx-using-qgis)

When the user selects .gpx:

(1) the CRS is automatically assigned to WGS84 EPSG: 4326.

(2) On "Data source" this line is automatically included "GPX_USE_EXTENSIONS=YES"
(3) A checkbox with "Create track?" that if selected, writes "FORCE_GPX_TRACK=YES" automatically on "Layer"

For ".kml"

(1) the CRS is automatically assigned to WGS84 EPSG: 4326.

In some fields, particularly ecology, users often have to mark points in google earth and then export them into a GPS. QGIS is a suitable

alternative to mediate this process but presently it requires users to follow an excessive number of steps.

History

#1 - 2013-07-12 02:19 AM - Giovanni Manghi
- Target version set to Future Release - Nice to have
- Category changed from Data Provider to GUI

#2 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
